Package org.apache.commons.math3.ml.neuralnet.twod.util

# Class SmoothedDataHistogram

java.lang.Object
org.apache.commons.math3.ml.neuralnet.twod.util.SmoothedDataHistogram

All Implemented Interfaces:
  `MapDataVisualization`

public class SmoothedDataHistogram extends Object implements MapDataVisualization
Visualization of high-dimensional data projection on a 2D-map. The method is described in <quote> Using Smoothed Data Histograms for Cluster Visualization in Self-Organizing Maps
by Elias Pampalk, Andreas Rauber and Dieter Merkl. </quote>

Since:
  3.6

## Constructor Summary

Constructors
Constructor
Description
`SmoothedDataHistogram(int smoothingBins, DistanceMeasure distance)`

## Method Summary

Modifier and Type
Method
Description
`double[][]`
`computeImage(NeuronSquareMesh2D map, Iterable<double[]> data)`
Creates an image of the `data` metrics when represented by the `map`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SmoothedDataHistogram

public SmoothedDataHistogram(int smoothingBins, DistanceMeasure distance)

Parameters:
  `smoothingBins` - Number of bins.
  `distance` - Distance.

## Method Details

### computeImage

public double[][] computeImage(NeuronSquareMesh2D map, Iterable<double[]> data)
Creates an image of the `data` metrics when represented by the `map`.

Specified by:
  `computeImage` in interface `MapDataVisualization`
Parameters:
  `map` - Map.
  `data` - Data.
Returns:
  a 2D-array (in row major order) representing the metrics.
Throws:
  `NumberIsTooSmallException` - if the size of the `map` is smaller than the number of `smoothing bins`.